/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Cboard            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef BOARD_H_
#define BOARD_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <curses.h>
#include "colour.h"
#include "move.h"
/* Define Array */
#define HIGH 9
#define LOW 9
/* Define Buffer */
#define MOV 16

//-----------------------------------------------------------------------------

class Cboard
{	
public:	
	/* Player */
	char player[10];
	char nmove[MOV];
	char control;
	short int count;

	/* Class Move */
	struct uciMove
	{
		/* Move */
		char fxdecimal;
		char fydecimal;
		char txdecimal;
		char tydecimal;
		short int fxmove;
		short int txmove;
		short int fymove;
		short int tymove;
		short int tzmove;

	}mov1, mov2;

	/* Function */
	Cboard();
	void displayBoard(char *chess);
};

//-----------------------------------------------------------------------------

#endif


