/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Cboard            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef BOARD_H_
#define BOARD_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <curses.h>
#include "colour.h"
#include "network.h"
#include "move.h"
/* Define Bool */
#define TRUE 1
#define FALSE 0
/* Define Array */
#define HIGH 9
#define LOW 9
/* Define Buffer */
#define MOV 16

/*---------------------------------------------------------------------------*/

/* Move */
char nmove[MOV];
/* Player */
char player[10];
char control;
short int count;

/* Class Move */
struct uciMove
{
	/* Move */
	char fxdecimal;
	char fydecimal;
	char txdecimal;
	char tydecimal;
	short int fxmove;
	short int txmove;
	short int fymove;
	short int tymove;
	short int tzmove;

}mov1, mov2;

/* Function */
void displayBoard(char *chess);

/*---------------------------------------------------------------------------*/

#endif


