/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\           Settings           /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef SETTING_H_
#define SETTING_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <curses.h>
#include "cbtime.h"
#include "colour.h"
/* Define Bool */
#define TRUE 1
#define FALSE 0
/* Define Date */
#define DATE 75

/*---------------------------------------------------------------------------*/

/* Date */
char ndate[DATE];

/* Class Player */
struct player
{
	/* UCI */
	char uci;
	char uciok;
	char ucinewgame;
	/* Engine */
	char isready;
	char readyok;
	/* Time */
	short int time;
	short int nround;
	/* Result */
	char result;

}eboard, wboard, bboard;

/* Function */
void settings(char *ipadr, char *chess);

/*---------------------------------------------------------------------------*/

#endif


