/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Move             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef MOVE_H_
#define MOVE_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <curses.h>
#include "board.h"
#include "network.h" 
/* Define Buffer */
#define MOV 16
#define BUF 2048

//-----------------------------------------------------------------------------

class Modul
{
public:	
	/* Move */
	char position[BUF];
	char *bmove;

	/* Class Engine */
	struct uciEngine
	{
		/* Time */
		short int time;
		short int round;
		/* Clock */
		double diff;
		short int horas;
		short int minutes; 
		short int seconds;
		time_t start;
		time_t stop;

	}etime, wtime, btime;

	/* Function */
	Modul();
	void cbengine(char *nmove,char *chess);
	void cbnetwork(char *nmove,char *chess,char *player,char control);
};

//-----------------------------------------------------------------------------

#endif


